Complete Validation
curl --request POST \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/validate/{account_id}/{validation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--header 'x-partner-id: <x-partner-id>' \
--data '
{
"amounts": [
{
"amount": 1,
"currency": "USD"
},
{
"amount": 3,
"currency": "USD"
}
]
}
'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/validate/{account_id}/{validation_id}"
payload = { "amounts": [
{
"amount": 1,
"currency": "USD"
},
{
"amount": 3,
"currency": "USD"
}
] }
headers = {
"x-partner-id": "<x-partner-id>",
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-partner-id': '<x-partner-id>',
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amounts: [{amount: 1, currency: 'USD'}, {amount: 3, currency: 'USD'}]})
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/validate/{account_id}/{validation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Validation
Complete Validation
Complete Validation
POST
/
api
/
v1
/
csp
/
validate
/
{account_id}
/
{validation_id}
Complete Validation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"part_ct23b6420or249k5boag"
The Idempotency Key - usually a UUID
Path Parameters
The unique identifier for the account
Example:
"acct_ctf930420orabtojo3r0"
The unique identifier for the validation
Example:
"val_cvgo7uc20or769prtiu0"
Body
application/json
Show child attributes
Show child attributes
Example:
[
{ "amount": 1, "currency": "USD" },
{ "amount": 3, "currency": "USD" }
]
Response
200 - undefined
Was this page helpful?
⌘I